
Ruby - Bug #11885

[PATCH] IO#readpartial rejects bad args

12/27/2015 05:56 AM - normalperson (Eric Wong)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.0.0: UNKNOWN, 2.1: DONE, 2.2:

DONE, 2.3: DONE

Description

IO#readpartial rejects bad args

Sometimes a sleepy developer will want to swap read_nonblock

for readpartial forget to remove "exception: false"

io.c (io_getpartial): remove unused kwarg from template

test/ruby/test_io.rb (test_readpartial_bad_args): new

Associated revisions

Revision edea151a4bae78a57efdb67d73a22ba52421952c - 12/27/2015 06:15 AM - Eric Wong 

IO#readpartial rejects bad args

Sometimes a sleepy developer will want to swap read_nonblock

for readpartial forget to remove "exception: false"

io.c (io_getpartial): remove unused kwarg from template

test/ruby/test_io.rb (test_readpartial_bad_args): new

[Bug #11885]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@53329 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision edea151a - 12/27/2015 06:15 AM - Eric Wong 

IO#readpartial rejects bad args

Sometimes a sleepy developer will want to swap read_nonblock

for readpartial forget to remove "exception: false"

io.c (io_getpartial): remove unused kwarg from template

test/ruby/test_io.rb (test_readpartial_bad_args): new

[Bug #11885]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@53329 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 2b0014ca250ba6defec37420025ede253d485063 - 02/25/2016 09:16 AM - U.Nakamura 

merge revision(s) 53329: [Backport #11885]

    * io.c (io_getpartial): remove unused kwarg from template

    * test/ruby/test_io.rb (test_readpartial_bad_args): new

      [Bug #11885]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@53926 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 2b0014ca - 02/25/2016 09:16 AM - U.Nakamura 

merge revision(s) 53329: [Backport #11885]

    * io.c (io_getpartial): remove unused kwarg from template

    * test/ruby/test_io.rb (test_readpartial_bad_args): new

      [Bug #11885]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@53926 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 84f768b4cac9fe17e2f8987143ec0285fdff7e28 - 02/25/2016 10:19 AM - U.Nakamura 

io.c (io_read_nonblock): decrement argc before calling io_readpartical() if

kwarg is eaten in this function.  fixed a test failure introduced at r53926.

see [Backport #11885]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@53932 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 84f768b4 - 02/25/2016 10:19 AM - U.Nakamura 

io.c (io_read_nonblock): decrement argc before calling io_readpartical() if

kwarg is eaten in this function.  fixed a test failure introduced at r53926.

see [Backport #11885]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@53932 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 117fec74396341a72956bb0e3c5ed8c87614f7e5 - 03/08/2016 07:12 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 53329: [Backport #11885]

    * io.c (io_getpartial): remove unused kwarg from template

    * test/ruby/test_io.rb (test_readpartial_bad_args): new

      [Bug #11885]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@54041 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 117fec74 - 03/08/2016 07:12 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 53329: [Backport #11885]

    * io.c (io_getpartial): remove unused kwarg from template

    * test/ruby/test_io.rb (test_readpartial_bad_args): new

      [Bug #11885]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@54041 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 83d705f6a06eef70f9eb219ba7f187555f00ede8 - 03/08/2016 08:27 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 51016,53329: [Backport #11885]

    * ext/openssl/ossl_ssl.c (ossl_ssl_read_internal):

      do not process kwargs in blocking mode

    * test/openssl/test_ssl.rb: test sysread

    * io.c (io_getpartial): remove unused kwarg from template

    * test/ruby/test_io.rb (test_readpartial_bad_args): new

      [Bug #11885]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@54045 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 83d705f6 - 03/08/2016 08:27 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 51016,53329: [Backport #11885]

    * ext/openssl/ossl_ssl.c (ossl_ssl_read_internal):

      do not process kwargs in blocking mode

    * test/openssl/test_ssl.rb: test sysread

    * io.c (io_getpartial): remove unused kwarg from template

    * test/ruby/test_io.rb (test_readpartial_bad_args): new

      [Bug #11885]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@54045 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision e6489da9e3ddf6b109aa3db22be414c84ec4afab - 03/29/2016 04:56 AM - naruse (Yui NARUSE)

merge revision(s) 53329: [Backport #11885]
    * io.c (io_getpartial): remove unused kwarg from template

    * test/ruby/test_io.rb (test_readpartial_bad_args): new

      [Bug #11885]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@54352 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision e6489da9 - 03/29/2016 04:56 AM - naruse (Yui NARUSE)

merge revision(s) 53329: [Backport #11885]

    * io.c (io_getpartial): remove unused kwarg from template

    * test/ruby/test_io.rb (test_readpartial_bad_args): new

      [Bug #11885]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@54352 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 12/27/2015 06:15 AM - Anonymous

- Status changed from Open to Closed

Applied in changeset r53329.

IO#readpartial rejects bad args

Sometimes a sleepy developer will want to swap read_nonblock

for readpartial forget to remove "exception: false"

io.c (io_getpartial): remove unused kwarg from template

test/ruby/test_io.rb (test_readpartial_bad_args): new

[Bug #11885]

#2 - 02/25/2016 09:16 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.0.0: UNKNOWN, 2.1: REQUIRED, 2.2: REQUIRED, 2.3: REQUIRED to 2.0.0: UNKNOWN, 2.1: DONE, 2.2: REQUIRED,

2.3: REQUIRED

ruby_2_1 r53926 merged revision(s) 53329.

#3 - 03/08/2016 07:14 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.0.0: UNKNOWN, 2.1: DONE, 2.2: REQUIRED, 2.3: REQUIRED to 2.0.0: UNKNOWN, 2.1: DONE, 2.2: DONE, 2.3:

REQUIRED

Backported into ruby_2_2 branch at r54041.

ruby_2_2 branch also requires the same patch with r53932.

#4 - 03/08/2016 08:12 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.0.0: UNKNOWN, 2.1: DONE, 2.2: DONE, 2.3: REQUIRED to 2.0.0: UNKNOWN, 2.1: DONE, 2.2: REQUIRED, 2.3:

REQUIRED

rr54041 was reverted at r54044 because r54041 breaks some openssl tests.

#5 - 03/08/2016 08:28 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.0.0: UNKNOWN, 2.1: DONE, 2.2: REQUIRED, 2.3: REQUIRED to 2.0.0: UNKNOWN, 2.1: DONE, 2.2: DONE, 2.3:

REQUIRED

r51016(partially) and r53329 were backported into ruby_2_2 branch at r54045.

#6 - 03/29/2016 04:57 AM - naruse (Yui NARUSE)

- Backport changed from 2.0.0: UNKNOWN, 2.1: DONE, 2.2: DONE, 2.3: REQUIRED to 2.0.0: UNKNOWN, 2.1: DONE, 2.2: DONE, 2.3: DONE

ruby_2_3 r54352 merged revision(s) 53329.

Files
